Create a scan form
A ScanForm can be created in two ways:
- Create a
ScanFormfor Shipments directly - Create a
ScanFormfor a Batch of Shipments
NOTE: A ScanForm can only include shipments from one carrier account.
Shipments from different carrier accounts require separate ScanForms.
A
ScanFormobject is immutable once created. All information must be provided during creation; it cannot be modified later.
Body
required
application/json
- Type: stringreferencerequired
- Type: string | nullcarrier
- Type: string | nullFormat: date_timeup
_to _time
Responses
- application/json
- application/json
- 401
Unauthorized request
- application/json
Request Example for post/scan_forms
curl https://api.test.vesyl.com/v2/scan_forms \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"reference": "SCAN123",
"carrier": "USPS",
"up_to_time": "2025-10-02T19:27:57Z"
}'
No Body